Make sure required ruby is installed for passenger
[chef.git] / cookbooks / passenger / recipes / default.rb
1 #
2 # Cookbook Name:: passenger
3 # Recipe:: default
4 #
5 # Copyright 2014, OpenStreetMap Foundation
6 #
7 # Licensed under the Apache License, Version 2.0 (the "License");
8 # you may not use this file except in compliance with the License.
9 # You may obtain a copy of the License at
10 #
11 #     http://www.apache.org/licenses/LICENSE-2.0
12 #
13 # Unless required by applicable law or agreed to in writing, software
14 # distributed under the License is distributed on an "AS IS" BASIS,
15 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
16 # See the License for the specific language governing permissions and
17 # limitations under the License.
18 #
19
20 include_recipe "apache"
21
22 package "ruby#{node[:passenger][:ruby_version]}"
23 package "ruby#{node[:passenger][:ruby_version]}-dev"
24 package "rubygems#{node[:passenger][:ruby_version]}"
25 package "irb#{node[:passenger][:ruby_version]}"
26
27 template "/usr/local/bin/passenger-ruby" do
28   source "ruby.erb"
29   owner "root"
30   group "root"
31   mode 0755
32   notifies :reload, "service[apache2]"
33 end
34
35 apache_module "passenger" do
36   conf "passenger.conf.erb"
37 end
38
39 package "passenger-common#{node[:passenger][:ruby_version]}"
40
41 munin_plugin "passenger_memory"
42 munin_plugin "passenger_processes"
43 munin_plugin "passenger_queues"
44 munin_plugin "passenger_requests"